it-swarm.com.de

Python 3.6 win32api installieren?

Gibt es eine Möglichkeit, das win32api-Modul für Python 3.6 zu installieren, oder muss ich meine Version von Python ändern? Jedes Mal, wenn ich es mit pip installiere, erhalte ich die folgende Fehlermeldung:

 Could not find a version that satisfies the requirement win32api (from versions: )
No matching distribution found for win32api 

Danke im Voraus

18
kon

Es gibt keine Version einer bestimmten Version vonwin32api. Sie müssen das pywin32-Modul erhalten, das derzeit nicht über pip installiert werden kann. Es ist momentan nur über diesen Link verfügbar. 

https://sourceforge.net/projects/pywin32/files/pywin32/Build%20220/

Die Installation dauert nicht lange und so ziemlich alles für Sie erledigt. Stellen Sie sicher, dass Sie die richtige Version davon erhalten, abhängig von Ihrer python-Version :)


EDIT

Seit ich meine Antwort gepostet habe, gibt es andere Alternativen zum Herunterladen des Moduls win32api.

Es ist jetzt zum Herunterladen über pip mit diesem Befehl verfügbar.

pip install pypiwin32

Es kann auch von diesem GitHub-Repository installiert werden, wie in den Kommentaren von @Heath angegeben

32
WhatsThePoint

Sehen Sie sich diese Antwort an: ImportError: Kein Modul namens win32api

Sie können verwenden

pip install pypiwin32
23
George Crowther
pip install pypiwin32

Dies ist eine einfache und schnelle Methode zur Installation.

1
mef